<style>
  .config-title {
    font-weight: bold;
    color: #f00;
    padding: 10px 0;
  }
</style>
<%= simple_form_for @ldap_config, html: { novalidate: true },
    wrapper: :horizontal_form,
    wrapper_mappings: {
      boolean:       :horizontal_boolean,
      check_boxes:   :horizontal_collection,
      date:          :horizontal_multi_select,
      datetime:      :horizontal_multi_select,
      file:          :horizontal_file,
      radio_buttons: :horizontal_collection,
      range:         :horizontal_range,
      time:          :horizontal_multi_select
    } do |f| %>
  <%= f.error_notification %>
  <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

  <div class="row">
    <div class="col-sm-6">
      <div class="form-inputs">
        <div class='config-title'><%= t('.title_info') %></div>
        <%= f.input :name %>
        <%= f.input :host %>
        <%= f.input :port %>
        <%= f.input :base_dn %>

        <div class='config-title'><%= t('.title_log') %></div>
        <%= f.input :admin_login, value: @ldap_config.admin_login || ''%>
        <%= f.input :admin_password, value: @ldap_config.admin_password || '' %>
      </div>
    </div>
    <div class="col-sm-6">
      <div class="form-inputs">
        <div class='config-title'><%= t('.title_attr') %></div>
        <%= f.input :attr_uid %>
        <%= f.input :attr_firstname %>
        <%= f.input :attr_lastname %>
        <%= f.input :attr_email %>
        <%= f.input :attr_adress %>
        <%= f.input :attr_phone %>

        <div class='config-title'><%= t('.title_auth') %></div>
        <%= f.input :authorize_signup %>
      </div>
    </div>
  </div>

  <div class="form-actions">
    <%= f.button :submit, class: 'btn btn-outline-warning' %>
  </div>
<% end %>
